> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/salary-budgets/send-monthly-salary-budgets.md).

# Send monthly salary budgets

Send monthly salary budgets. There will be one "monthly\_salary\_budget" object for per month for the whole year, but it is not required to send a whole year in one call. If you include a month that has already been transferred, it will overwrite existing data.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/salary_budget/monthly/{year}":{"post":{"tags":["Salary budgets"],"summary":"Send monthly salary budgets","description":"Send monthly salary budgets. There will be one \"monthly_salary_budget\" object for per month for the whole year, but it is not required to send a whole year in one call. If you include a month that has already been transferred, it will overwrite existing data.","operationId":"post-clientToken-salary_budget-monthly-year","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you retrieve/send data from/to the right department.","required":true,"schema":{"type":"string"}},{"name":"year","in":"path","description":"The year to retrieve/send monthly salary budgets for. Format: YYYY","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalaryBudgetMonthly"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":"ok"},"description":{"type":"string","default":"Monthly salary budgets have been saved."}}}}}}}}}},"components":{"schemas":{"SalaryBudgetMonthly":{"type":"object","properties":{"monthly_salary_budgets":{"type":"array","items":{"required":["amount","month","year"],"type":"object","properties":{"year":{"type":"integer"},"month":{"type":"integer"},"amount":{"type":"number"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/salary-budgets/send-monthly-salary-budgets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
